> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# google-maps-search

`POST /v1/google-maps-search/start`

**Tags:** `Google maps`

Start a search on Google Maps

**Endpoint:** `https://api.fiber.ai/v1/google-maps-search/start`

## Description

Start a search for local businesses or other places of interest on Google Maps

⚡ Rate limit: 30 requests per 1 minute

💰 Cost: 3 credits per business found ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "name": {
      "type": [
        "string",
        "null"
      ],
      "description": "An optional name for the project for reference purposes."
    },
    "query": {
      "type": "string",
      "minLength": 1,
      "description": "The search query to run on Google Maps. Do not include a location info here. Examples: 'dominos pizza', 'real estate agent'."
    },
    "maxResults": {
      "type": "integer",
      "exclusiveMinimum": 0,
      "maximum": 10000,
      "default": 100,
      "description": "The maximum number of Google Maps results to return."
    },
    "strategy": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "strategy": {
              "type": "string",
              "description": "Does a broad search across all cities in the United States. Not as exhaustive as, for example, a city-specific search.",
              "enum": [
                "whole-usa"
              ]
            }
          },
          "required": [
            "strategy"
          ]
        },
        {
          "type": "object",
          "properties": {
            "strategy": {
              "type": "string",
              "description": "Use 'specific-areas' to search for places in specific areas",
              "enum": [
                "specific-areas"
              ]
            },
            "unionAll": {
              "type": "array",
              "items": {
                "oneOf": [
                  {
                    "type": "object",
                    "properties": {
                      "regionType": {
                        "type": "string",
                        "description": "Use 'circle' to search for places in a circle",
                        "enum": [
                          "circle"
                        ]
                      },
                      "center": {
                        "type": "object",
                        "properties": {
                          "latitude": {
                            "type": "number",
                            "minimum": -90,
                            "maximum": 90,
                            "description": "The latitude of the point."
                          },
                          "longitude": {
                            "type": "number",
                            "minimum": -180,
                            "maximum": 180,
                            "description": "The longitude of the point."
                          }
                        },
                        "required": [
                          "latitude",
                          "longitude"
                        ]
                      },
                      "radiusMiles": {
                        "type": "number",
                        "exclusiveMinimum": 0,
                        "maximum": 250,
                        "default": 25,
                        "description": "The radius of the circle in miles."
                      }
                    },
                    "required": [
                      "regionType",
                      "center"
                    ]
                  },
                  {
                    "type": "object",
                    "properties": {
                      "regionType": {
                        "type": "string",
                        "description": "Use 'rectangle' to search for places in a rectangle",
                        "enum": [
                          "rectangle"
                        ]
                      },
                      "northwestCorner": {
                        "type": "object",
                        "properties": {
                          "latitude": {
                            "type": "number",
                            "minimum": -90,
                            "maximum": 90,
                            "description": "The latitude of the point."
                          },
                          "longitude": {
                            "type": "number",
                            "minimum": -180,
                            "maximum": 180,
                            "description": "The longitude of the point."
                          }
                        },
                        "required": [
                          "latitude",
                          "longitude"
                        ],
                        "description": "The coordinates of the north west corner of the rectangle"
                      },
                      "southeastCorner": {
                        "type": "object",
                        "properties": {
                          "latitude": {
                            "type": "number",
                            "minimum": -90,
                            "maximum": 90,
                            "description": "The latitude of the point."
                          },
                          "longitude": {
                            "type": "number",
                            "minimum": -180,
                            "maximum": 180,
                            "description": "The longitude of the point."
                          }
                        },
                        "required": [
                          "latitude",
                          "longitude"
                        ],
                        "description": "The coordinates of the south east corner of the rectangle"
                      }
                    },
                    "required": [
                      "regionType",
                      "northwestCorner",
                      "southeastCorner"
                    ]
                  }
                ]
              },
              "description": "An array of region definitions (rectangles and/or circles). All regions in this array will be unioned together to form the total search area."
            }
          },
          "required": [
            "strategy",
            "unionAll"
          ]
        },
        {
          "type": "object",
          "properties": {
            "strategy": {
              "type": "string",
              "enum": [
                "world-cities"
              ]
            },
            "countriesAndRegions": {
              "type": "object",
              "properties": {
                "unionAll": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string",
                    "enum": [
                      "USA",
                      "GBR",
                      "FRA",
                      "IND",
                      "BRA",
                      "DEU",
                      "ESP",
                      "CAN",
                      "AUS",
                      "NLD",
                      "ITA",
                      "ZAF",
                      "BEL",
                      "CHN",
                      "TUR",
                      "MEX",
                      "CHE",
                      "NOR",
                      "ARE",
                      "SWE",
                      "POL",
                      "IDN",
                      "ARG",
                      "PRT",
                      "COL",
                      "CHL",
                      "PAK",
                      "DNK",
                      "JPN",
                      "NGA",
                      "SGP",
                      "PER",
                      "NZL",
                      "AUT",
                      "IRL",
                      "MYS",
                      "BGD",
                      "EGY",
                      "ISR",
                      "SAU",
                      "PHL",
                      "FIN",
                      "IRN",
                      "ROU",
                      "CZE",
                      "GRC",
                      "HKG",
                      "HUN",
                      "KEN",
                      "MAR",
                      "VNM",
                      "RUS",
                      "UKR",
                      "ECU",
                      "THA",
                      "LKA",
                      "KOR",
                      "BGR",
                      "GHA",
                      "SRB",
                      "TWN",
                      "HRV",
                      "LTU",
                      "PRI",
                      "SVK",
                      "TUN",
                      "EST",
                      "VEN",
                      "CRI",
                      "PAN",
                      "URY",
                      "LBN",
                      "LUX",
                      "CYP",
                      "NPL",
                      "JOR",
                      "SVN",
                      "MTQ",
                      "QAT",
                      "GLP",
                      "UGA",
                      "DZA",
                      "GTM",
                      "CMR",
                      "LVA",
                      "DOM",
                      "AZE",
                      "GEO",
                      "SEN",
                      "TZA",
                      "ZWE",
                      "KWT",
                      "MLT",
                      "OMN",
                      "BOL",
                      "SLV",
                      "ARM",
                      "PRY",
                      "IRQ",
                      "KHM",
                      "BIH",
                      "AGO",
                      "BHR",
                      "ALB",
                      "KAZ",
                      "CIV",
                      "ETH",
                      "MUS",
                      "ZMB",
                      "MKD",
                      "COD",
                      "BLR",
                      "MOZ",
                      "REU",
                      "TTO",
                      "GUF",
                      "ISL",
                      "MMR",
                      "HND",
                      "RWA",
                      "MDG",
                      "BEN",
                      "UZB",
                      "NAM",
                      "BWA",
                      "MDA",
                      "JEY",
                      "NIC",
                      "SDN",
                      "JAM",
                      "IMN",
                      "BFA",
                      "MNG",
                      "MNE",
                      "MCO",
                      "TGO",
                      "AFG",
                      "LBY",
                      "XKX",
                      "CYM",
                      "MWI",
                      "SOM",
                      "PNG",
                      "MDV",
                      "MLI",
                      "GIN",
                      "PSE",
                      "GAB",
                      "LIE",
                      "HTI",
                      "SYR",
                      "BRB",
                      "YEM",
                      "GGY",
                      "NCL",
                      "AND",
                      "SUR",
                      "MYT",
                      "KGZ",
                      "BHS",
                      "GIB",
                      "COG",
                      "FJI",
                      "BLM",
                      "CUW",
                      "CUB",
                      "SLE",
                      "BLZ",
                      "NER",
                      "LBR",
                      "VIR",
                      "PYF",
                      "GUM",
                      "MRT",
                      "ABW",
                      "SYC",
                      "GUY",
                      "LSO",
                      "SWZ",
                      "SSD",
                      "LCA",
                      "MAC",
                      "SMR",
                      "LAO",
                      "BRN",
                      "TCD",
                      "BMU",
                      "VGB",
                      "PRK",
                      "BTN",
                      "BDI",
                      "FRO",
                      "TJK",
                      "GMB",
                      "STP",
                      "ANT",
                      "VCT",
                      "DJI",
                      "CPV",
                      "TKM",
                      "ATG",
                      "TCA",
                      "KNA",
                      "GRD",
                      "ASM",
                      "VUT",
                      "GNQ",
                      "GRL",
                      "SXM",
                      "MNP",
                      "COM",
                      "TLS",
                      "SJM",
                      "CAF",
                      "DMA",
                      "MAF",
                      "WSM",
                      "BES",
                      "MHL",
                      "AIA",
                      "TON",
                      "COK",
                      "SLB",
                      "SPM",
                      "GNB",
                      "ATA",
                      "TUV",
                      "ALA",
                      "IOT",
                      "ERI",
                      "PLW",
                      "FSM",
                      "NRU",
                      "PCN",
                      "FLK",
                      "MSR",
                      "VAT",
                      "KIR",
                      "SHN",
                      "NIU",
                      "WLF",
                      "HMD",
                      "CXR",
                      "NFK",
                      "ATF",
                      "CCK",
                      "SGS",
                      "BVT",
                      "UMI",
                      "ESH",
                      "TKL",
                      "X-SOUTH_ASIA",
                      "X-SOUTH_EAST_EUROPE",
                      "X-NORTHERN_AFRICA",
                      "X-PACIFIC",
                      "X-SOUTH_WEST_EUROPE",
                      "X-SOUTHERN_AFRICA",
                      "X-WEST_INDIES",
                      "X-SOUTH_AMERICA",
                      "X-SOUTH_WEST_ASIA",
                      "X-CENTRAL_EUROPE",
                      "X-EASTERN_EUROPE",
                      "X-WESTERN_EUROPE",
                      "X-CENTRAL_AMERICA",
                      "X-WESTERN_AFRICA",
                      "X-SOUTH_ATLANTIC_OCEAN",
                      "X-SOUTH_EAST_ASIA",
                      "X-CENTRAL_AFRICA",
                      "X-NORTH_AMERICA",
                      "X-EAST_ASIA",
                      "X-NORTHERN_EUROPE",
                      "X-EASTERN_AFRICA",
                      "X-SOUTHERN_INDIAN_OCEAN",
                      "X-SOUTHERN_EUROPE",
                      "X-CENTRAL_ASIA",
                      "X-NORTHERN_ASIA",
                      "X-ASIA",
                      "X-EUROPE",
                      "X-AFRICA",
                      "X-OCEANIA",
                      "X-AMERICAS",
                      "X-ANTARCTICA",
                      "X-ATLANTIC_OCEAN",
                      "X-INDIAN_OCEAN",
                      "X-MIDDLE_EAST",
                      "X-MENA",
                      "X-EMEA",
                      "X-EUROPEAN_UNION",
                      "X-EFTA",
                      "X-APAC",
                      "X-LATAM",
                      "X-ANGLOSPHERE",
                      "X-DACH",
                      "X-NORDICS",
                      "X-BENELUX",
                      "X-GCC",
                      "X-BRICS",
                      "X-G20",
                      "X-OECD",
                      "X-SANCTIONED"
                    ]
                  }
                },
                "subtractAll": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string",
                    "enum": [
                      "USA",
                      "GBR",
                      "FRA",
                      "IND",
                      "BRA",
                      "DEU",
                      "ESP",
                      "CAN",
                      "AUS",
                      "NLD",
                      "ITA",
                      "ZAF",
                      "BEL",
                      "CHN",
                      "TUR",
                      "MEX",
                      "CHE",
                      "NOR",
                      "ARE",
                      "SWE",
                      "POL",
                      "IDN",
                      "ARG",
                      "PRT",
                      "COL",
                      "CHL",
                      "PAK",
                      "DNK",
                      "JPN",
                      "NGA",
                      "SGP",
                      "PER",
                      "NZL",
                      "AUT",
                      "IRL",
                      "MYS",
                      "BGD",
                      "EGY",
                      "ISR",
                      "SAU",
                      "PHL",
                      "FIN",
                      "IRN",
                      "ROU",
                      "CZE",
                      "GRC",
                      "HKG",
                      "HUN",
                      "KEN",
                      "MAR",
                      "VNM",
                      "RUS",
                      "UKR",
                      "ECU",
                      "THA",
                      "LKA",
                      "KOR",
                      "BGR",
                      "GHA",
                      "SRB",
                      "TWN",
                      "HRV",
                      "LTU",
                      "PRI",
                      "SVK",
                      "TUN",
                      "EST",
                      "VEN",
                      "CRI",
                      "PAN",
                      "URY",
                      "LBN",
                      "LUX",
                      "CYP",
                      "NPL",
                      "JOR",
                      "SVN",
                      "MTQ",
                      "QAT",
                      "GLP",
                      "UGA",
                      "DZA",
                      "GTM",
                      "CMR",
                      "LVA",
                      "DOM",
                      "AZE",
                      "GEO",
                      "SEN",
                      "TZA",
                      "ZWE",
                      "KWT",
                      "MLT",
                      "OMN",
                      "BOL",
                      "SLV",
                      "ARM",
                      "PRY",
                      "IRQ",
                      "KHM",
                      "BIH",
                      "AGO",
                      "BHR",
                      "ALB",
                      "KAZ",
                      "CIV",
                      "ETH",
                      "MUS",
                      "ZMB",
                      "MKD",
                      "COD",
                      "BLR",
                      "MOZ",
                      "REU",
                      "TTO",
                      "GUF",
                      "ISL",
                      "MMR",
                      "HND",
                      "RWA",
                      "MDG",
                      "BEN",
                      "UZB",
                      "NAM",
                      "BWA",
                      "MDA",
                      "JEY",
                      "NIC",
                      "SDN",
                      "JAM",
                      "IMN",
                      "BFA",
                      "MNG",
                      "MNE",
                      "MCO",
                      "TGO",
                      "AFG",
                      "LBY",
                      "XKX",
                      "CYM",
                      "MWI",
                      "SOM",
                      "PNG",
                      "MDV",
                      "MLI",
                      "GIN",
                      "PSE",
                      "GAB",
                      "LIE",
                      "HTI",
                      "SYR",
                      "BRB",
                      "YEM",
                      "GGY",
                      "NCL",
                      "AND",
                      "SUR",
                      "MYT",
                      "KGZ",
                      "BHS",
                      "GIB",
                      "COG",
                      "FJI",
                      "BLM",
                      "CUW",
                      "CUB",
                      "SLE",
                      "BLZ",
                      "NER",
                      "LBR",
                      "VIR",
                      "PYF",
                      "GUM",
                      "MRT",
                      "ABW",
                      "SYC",
                      "GUY",
                      "LSO",
                      "SWZ",
                      "SSD",
                      "LCA",
                      "MAC",
                      "SMR",
                      "LAO",
                      "BRN",
                      "TCD",
                      "BMU",
                      "VGB",
                      "PRK",
                      "BTN",
                      "BDI",
                      "FRO",
                      "TJK",
                      "GMB",
                      "STP",
                      "ANT",
                      "VCT",
                      "DJI",
                      "CPV",
                      "TKM",
                      "ATG",
                      "TCA",
                      "KNA",
                      "GRD",
                      "ASM",
                      "VUT",
                      "GNQ",
                      "GRL",
                      "SXM",
                      "MNP",
                      "COM",
                      "TLS",
                      "SJM",
                      "CAF",
                      "DMA",
                      "MAF",
                      "WSM",
                      "BES",
                      "MHL",
                      "AIA",
                      "TON",
                      "COK",
                      "SLB",
                      "SPM",
                      "GNB",
                      "ATA",
                      "TUV",
                      "ALA",
                      "IOT",
                      "ERI",
                      "PLW",
                      "FSM",
                      "NRU",
                      "PCN",
                      "FLK",
                      "MSR",
                      "VAT",
                      "KIR",
                      "SHN",
                      "NIU",
                      "WLF",
                      "HMD",
                      "CXR",
                      "NFK",
                      "ATF",
                      "CCK",
                      "SGS",
                      "BVT",
                      "UMI",
                      "ESH",
                      "TKL",
                      "X-SOUTH_ASIA",
                      "X-SOUTH_EAST_EUROPE",
                      "X-NORTHERN_AFRICA",
                      "X-PACIFIC",
                      "X-SOUTH_WEST_EUROPE",
                      "X-SOUTHERN_AFRICA",
                      "X-WEST_INDIES",
                      "X-SOUTH_AMERICA",
                      "X-SOUTH_WEST_ASIA",
                      "X-CENTRAL_EUROPE",
                      "X-EASTERN_EUROPE",
                      "X-WESTERN_EUROPE",
                      "X-CENTRAL_AMERICA",
                      "X-WESTERN_AFRICA",
                      "X-SOUTH_ATLANTIC_OCEAN",
                      "X-SOUTH_EAST_ASIA",
                      "X-CENTRAL_AFRICA",
                      "X-NORTH_AMERICA",
                      "X-EAST_ASIA",
                      "X-NORTHERN_EUROPE",
                      "X-EASTERN_AFRICA",
                      "X-SOUTHERN_INDIAN_OCEAN",
                      "X-SOUTHERN_EUROPE",
                      "X-CENTRAL_ASIA",
                      "X-NORTHERN_ASIA",
                      "X-ASIA",
                      "X-EUROPE",
                      "X-AFRICA",
                      "X-OCEANIA",
                      "X-AMERICAS",
                      "X-ANTARCTICA",
                      "X-ATLANTIC_OCEAN",
                      "X-INDIAN_OCEAN",
                      "X-MIDDLE_EAST",
                      "X-MENA",
                      "X-EMEA",
                      "X-EUROPEAN_UNION",
                      "X-EFTA",
                      "X-APAC",
                      "X-LATAM",
                      "X-ANGLOSPHERE",
                      "X-DACH",
                      "X-NORDICS",
                      "X-BENELUX",
                      "X-GCC",
                      "X-BRICS",
                      "X-G20",
                      "X-OECD",
                      "X-SANCTIONED"
                    ]
                  }
                }
              }
            },
            "smallestCityTierID": {
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "mega",
                "major",
                "large",
                "medium",
                "minor",
                "small",
                "tiny",
                null
              ]
            },
            "largestCityTierID": {
              "type": [
                "string",
                "null"
              ],
              "enum": [
                "mega",
                "major",
                "large",
                "medium",
                "minor",
                "small",
                "tiny",
                null
              ]
            }
          },
          "required": [
            "strategy",
            "countriesAndRegions"
          ]
        }
      ],
      "description": "The strategy for searching places."
    }
  },
  "required": [
    "apiKey",
    "query",
    "strategy"
  ]
}
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "searchID": {
          "type": "string",
          "description": "The ID of the Google Maps search. Use this to poll for the search results."
        }
      },
      "required": [
        "searchID"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      },
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
